<?php

namespace App\Service;

use App\Entity\OrganizationalUnit;
use Doctrine\ORM\EntityManagerInterface;

class ChangeClientNetworkSettingsService
{
    public function __construct()
    {
    }

    public function __invoke(OrganizationalUnit $organizationalUnit): void
    {
        $organizationalUnit->updateNetworkSettingsRecursively($organizationalUnit->GetNetworkSettings());
    }
}